
/*--Lesson Elements---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------*/
.lesson-holder{
    height:fit-content;
    z-index:1;
    position:relative;
    display:none;
    width:100%;
    margin-top:1rem;
}

.lesson-tab-holder{
    justify-content:space-between;
    align-items:center;
    overflow:hidden;
    display:flex;

    transform:translateY(1px);
    height:2rem;
    width:100%;
}
.lesson-tab{
    border:1px solid var(--border-gray-1);
    background-color:var(--off-white-1);
    border-radius:var(--border-radius-2);

    margin-right:0.25rem;
    margin-left:0.25rem;
    color:var(--text-gray);
    font-size:1rem;
    height:100%;
    width:100%;

    justify-content:flex-start;
    align-items:center;
    user-select:none;
    cursor:pointer;
    display:flex;
}
.lesson-tab:first-child{
    margin-left:0px;
}
.lesson-tab:hover{
    background-color:var(--background-gray-3);
}
.lesson-tab:active{
    background-color:var(--background-gray-4);
}
.lesson-selected-tab{
    background-color:var(--background-white);   
    cursor:default;
}
.lesson-selected-tab:hover{
    background-color:var(--background-white);   
}
.lesson-selected-tab:active{
    background-color:var(--background-white);   
}
.lesson-tab-icon{
    background-position:center center;
    background-repeat:no-repeat;
    background-size:contain;

    margin-right:0.25rem;
    margin-left:0.5rem;
    aspect-ratio:1;
    height:1rem;
}
#live-tab{
    background-image:url("../assets/icons/live.png");
}
#upcoming-tab{
    background-image:url("../assets/icons/upcoming.png");
}
#completed-tab{
    background-image:url("../assets/icons/completed.png");
}
#canceled-tab{
    background-image:url("../assets/icons/cancel.png");
}

.lesson-head{
    border:1px solid var(--border-gray-1);
    background-color:var(--background-white);
    border-bottom-left-radius:var(--border-radius-2);
    border-bottom-right-radius:var(--border-radius-2);
    width:100%;
    height:1.5rem;

    justify-content:flex-end;
    align-items:center;
    display:flex;
}
.lesson-head-label-holder{
    justify-content:flex-start;
    align-items:center;
    display:flex;

    height:100%;
    width:100%;
}
.lesson-head-label-holder > *{
    color:var(--text-gray);
    height:100%;

    justify-content:center;
    align-items:center;
    font-weight:bold;
    display:flex;

    font-size:0.85rem;
}
.lesson-name{
    border-right:1px solid rgba(0,0,0,0);
    padding-right:2rem !important;
    padding-left:1rem !important;
    min-width: 15rem;
}
.lesson-content{
    border-right:1px solid rgba(0,0,0,0);
    width:calc(20% - 1px);

    justify-content:center;
    align-items:center;
    display:flex;
}
.lesson-date{
    border-right:1px solid rgba(0,0,0,0);
    padding-right:1rem !important;
    padding-left:1rem !important;

    justify-content:center;
    align-items:flex-start;
    white-space:nowrap;
    text-align:center;
    display:flex;

    min-width: 10rem;
}
.lesson-students{
    border-right:1px solid rgba(0,0,0,0);
    width:calc(20% - 1px);
}
.lesson-action{
    border-right:1px solid rgba(0,0,0,0);
    padding-right:1rem !important;
    padding-left:1rem !important;
    flex-shrink:0;
}
.lesson-action > button{
    display:block;
}

.lesson-body{
    height:fit-content;
    overflow-x:hidden;
    overflow-y:auto;
    min-height:calc(100vh - 8rem);
    width:100%;
    border-bottom-right-radius:var(--border-radius-2);
    border-bottom-left-radius:var(--border-radius-2);
    padding-bottom:0.5rem;

    justify-content:space-between;
    align-items:flex-end;
    display:flex;
    flex-direction:column;
}
.lesson-list-holder{
    height:fit-content;
    margin-bottom:0.5rem;
    width:100%;
}
.no-lesson{
    width:calc(100% - 1rem);
    color:var(--dark-blue);
    font-size:1.5rem;
    margin-left:1rem;
    margin-top:1rem;
    font-weight:600;
    height:3rem;
    opacity:0.5;

    justify-content:flex-start;
    align-items:center;
    display:flex;
}


/*
.lesson{
    border-bottom:1px solid var(--border-gray-1);
    color:var(--text-gray);
    position:relative;
    flex-shrink:0;
    min-height:6rem;
    width:100%;

    justify-content:flex-start;
    align-items:stretch;
    display:flex;
}
.lesson:last-child{
    border-bottom:none;
}
.lesson-list-element{
    border-right:1px solid var(--border-gray-1);
    padding:0.5rem;
}
.lesson-list-element:last-child{
    border-right:none;
}
.action-button{
    margin:0.25rem;
    font-size:1rem;
    max-width:100%;
    height:2rem;
    width:11rem;
    min-height:2rem;
}*/

.lesson-item{
    background-color:var(--white);
    border:1px solid var(--border);
    width:100%;
    padding:1rem;
    padding-top:0.5rem;
    height:fit-content;
    margin-top:1rem;
    border-radius:var(--border-radius-2);
}
.lesson-item-head{
    justify-content:space-between;
    align-items:flex-start;
    display:flex;
    height:2rem;
    width:100%;
}
.lesson-item-title{
    font-weight:600;
    font-size:1.25rem;
}
.lesson-item-date{
    text-align:right;
    font-size:0.8rem;
    color:var(--text-main-light)
}
.lesson-item-content{
    padding-bottom:2rem;
    width:100%;
    color:var(--text-main-light)
}
.lesson-item-buttons{
    justify-content:flex-start;
    align-items:flex-end;
    display:flex;
    height:3rem;
    width:100%;
    position:relative;
}
.lesson-item-buttons > *{
    margin-left:0.25rem;
    min-height:auto;
    height:2rem;
}
.lesson-item-assignment{
    position:absolute;
    right:0px;
    bottom:0px;
}

/*--New Lesson---------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------*/
.new-lesson-window{
    box-shadow:0.25rem 0.25rem 0.5rem rgba(0, 0, 0, 0.15);
    background-color:var(--background-white);
    border:1px solid var(--border-gray-1);
    border-radius:var(--border-radius-2);
    transform:translate(-50%, -50%);
    color:var(--dark-blue);
    position:absolute;
    padding:1rem;
    width:20rem;
    left:50%;
    top:50%;
}
.new-lesson-window-head{
    justify-content:center;
    align-items:center;
    font-weight:bold;
    display:flex;
    
    color:var(--text-main);
    margin-bottom:1rem;
    font-size:1.5rem;
    height:2rem;
    width:100%;
}
.new-lesson-window-body{
    height:fit-content;
    width:100%;
}
.new-lesson-row{
    margin-bottom:0.5rem;
    width:100%;
}
.new-lesson-input{
    background-color:var(--white) !important;
    width:100%;
}
.new-lesson-window-foot{
    justify-content:space-evenly;
    align-items:center;
    display:flex;

    margin-top:3rem;
    width:100%;
}
.new-lesson-label{
    color:var(--text-gray);
    font-weight:600;
}
#new-lesson{
    min-height:auto;
    height:2rem;
    margin-left:0.5rem;
    flex-shrink:0;
}

/*--Lesson Summary-----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------*/
.lesson-summary-window{
    box-shadow:0.25rem 0.25rem 0.5rem rgba(0, 0, 0, 0.15);
    background-color:var(--background-white);
    border-radius:var(--border-radius-1);

    transform:translate(-50%);
    position:absolute;
    padding:1rem;
    left:50%;
    top:1rem;
    
    width:60rem;
    height:fit-content;
    overflow-x:hidden;
    overflow-y:auto;
    max-width:calc(100vw - 1rem);
    max-height:calc(100vh - 2rem);
}
.lesson-summary-head{
    justify-content:center;
    align-items:center;
    display:flex;

    color:var(--dark-blue);
    margin-bottom:2rem;
    margin-top:1rem;
    font-size:1.5rem;
    font-weight:bold;
    height:3rem;
    width:100%;
}
.lesson-summary-title{
    justify-content:center;
    align-items:center;
    font-weight:bold;
    display:flex;

    height:100%;
    width:100%;
}
.lesson-summary-body{
    color:var(--dark-blue);
    font-family:var(--main-font);
    height:fit-content;
    min-height:30rem;
    width:100%;

    white-space:pre-wrap;
    word-wrap:break-word;
    overflow-wrap:break-word;
}
.lesson-summary-buttons{
    justify-content:flex-start;
    align-items:flex-start;
    display:flex;
    height:2rem;
    width:100%;
}

#drop-down-summary-doc{
    --height:4.5rem;
}
#drop-down-summary-pdf{
    --height:4.5rem;
}














.assignment-window{
    transform:translate(-50%);
    margin-left:50%;
    margin-top:5rem;
}
.assignment-window-head{
    justify-content:space-between;
    align-items:center;
    display:flex;

    height:2rem;
    width:100%;
}
.assignment-window-head > button{
    margin-bottom:0px;
    min-height:auto;
    height:2rem;
    width:14rem;
    flex-shrink:0;
    margin-left:0.5rem;
}
#assignment-window-search-icon-holder{
    width:100%;
}
.assignment-window-body{
    margin-top:1rem;
    height:30rem;
    width:100%;
}
.assignment-window-list-holder{
    overflow-x:hidden;
    overflow-y:auto;
    height:100%;
    width:100%;
}
.assignment-window-list{
    height:fit-content;
    width:100%;
}
.no-assignemnt-display{
    color:var(--text-main-light);
    opacity:0.5;
    font-size:1.25rem;
    font-weight:600;
    margin-top:0.5rem;
    margin-left:0.5rem;
}